import { Component, OnInit } from '@angular/core';
import { AuthService } from './services/auth/auth.service';
import { SocketService } from './services/socket/socket.service';
import { ThemeService } from './services/theme/theme.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {

  constructor(
    public authService: AuthService,
    public themeService: ThemeService,
    private socket: SocketService
  ) { }

  ngOnInit(): void {
    this.socket.startSocket();
    this.themeService.loadTheme();
    this.themeService.loadMenu();
  }
}
